%define anolis_release 1
%define htmldir %{_docdir}/liblognorm/html

Name:		liblognorm
Version:	2.0.6
Release: %{anolis_release}%{dist}

Summary:	Fast samples-based log normalization library
License:	LGPLv2+
URL:		http://www.liblognorm.com
Source0:	http://www.liblognorm.com/files/download/%{name}-%{version}.tar.gz

BuildRequires:	gcc
BuildRequires:	chrpath
BuildRequires:	libfastjson-devel
BuildRequires:	libestr-devel
BuildRequires:	pcre-devel

Patch0: 0001-liblognorm-2.0.6-rhbz2105934-sphinx5.patch
Patch1: 0002-liblognorm-configure-glitch.patch

%description
Briefly described, liblognorm is a tool to normalize log data.

People who need to take a look at logs often have a common problem. Logs from
different machines (from different vendors) usually have different formats for
their logs. Even if it is the same type of log (e.g. from firewalls), the log
entries are so different, that it is pretty hard to read these. This is where
liblognorm comes into the game. With this tool you can normalize all your logs.
All you need is liblognorm and its dependencies and a sample database that fits
the logs you want to normalize.

%package devel
Summary:	Development tools for programs using liblognorm library
Requires:	%{name} = %{version}-%{release}
Requires:	json-c-devel
Requires:	libestr-devel

%description devel
The liblognorm-devel package includes header files, libraries necessary for
developing programs which use liblognorm library.

%package doc
Summary: HTML documentation for liblognorm
BuildRequires: python3-sphinx
BuildRequires: make

%description doc
This sub-package contains documentation for liblognorm in a HTML form.

%package utils
Summary:	Lognormalizer utility for normalizing log files
Requires:	%{name} = %{version}-%{release}

%description utils
The lognormalizer is the core of liblognorm, it is a utility for normalizing
log files.


%prep
%setup -q

%patch0 -p1 -b .sphinx5
%patch1 -p1 -b .configure-glitch

%build
# Prevent rebuild of the configure script.
touch configure aclocal.m4 Makefile.in config.h.in

%configure --enable-regexp --enable-docs --docdir=%{htmldir} --includedir=%{_includedir}/%{name}/

%install
make V=1 install INSTALL="install -p" DESTDIR=%{buildroot}
rm -f %{buildroot}/%{_libdir}/*.{a,la}
chrpath -d %{buildroot}%{_bindir}/lognormalizer
chrpath -d %{buildroot}%{_libdir}/liblognorm.so
rm %{buildroot}%{htmldir}/{objects.inv,.buildinfo}

%generate_compatibility_deps

%files
%{!?_licensedir:%global license %%doc}
%license COPYING
%exclude %{htmldir}

%{_libdir}/lib*.so.*

%dir %{abidir}
%{abidir}/lib*.dump

%files devel
%{_libdir}/lib*.so
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/*.pc

%files doc
%doc AUTHORS ChangeLog README
%doc %{htmldir}

%files utils
%{_bindir}/lognormalizer

%changelog
* Mon Mar 27 2023 Heng Qi <hengqi@linux.alibaba.com> - 2.0.6-1
- Init package from upstream
